# vue-async-loader

[![NPM version](https://img.shields.io/npm/v/vue-async-loader.svg?style=flat-square)](https://npmjs.com/package/vue-async-loader)
[![NPM downloads](https://img.shields.io/npm/dm/vue-async-loader.svg?style=flat-square)](https://npmjs.com/package/vue-async-loader)
[![Build Status](https://img.shields.io/circleci/project/github/Pochodaydayup/vue-async-loader/master.svg?style=flat-square)](https://circleci.com/gh/Pochodaydayup/vue-async-loader)
<!-- [![donate](https://img.shields.io/badge/$-donate-ff69b4.svg?maxAge=2592000&style=flat-square)](https://github.com/Pochodaydayup/donate) -->

## Install

```bash
$ yarn add vue-async-loader --dev
```

## Usage

```javascript
// webpack.config.js
const path = require('path')
module.exports = {
  input: './index.js',
  output: {
    path: path.resolve(__dirname, 'dist'),
    filename: 'bundle.js'
  },
  modules: {
    rules: [
      {
        test: /\.js|vue$/,
        exclude: /node_modules/,
        enforce: 'pre',
        use: {
          loader: 'vue-async-loader',
          options: {
            dirs: [path.resolve(__dirname, 'src/index.js')]
          }
        }
      }
    ]
  }
}
```

## API

### vue-async-loader

#### options

##### dirs

Type: `string`|`array`|`RegExp`
Default: `*`

use to choose which dir is be translate sync to async component

## Contributing

1. Fork it!
2. Create your feature branch: `git checkout -b my-new-feature`
3. Commit your changes: `git commit -am 'Add some feature'`
4. Push to the branch: `git push origin my-new-feature`
5. Submit a pull request :D

## Author

**vue-async-loader** © [zhoupengcheng](https://github.com/Pochodaydayup), Released under the [MIT](./LICENSE) License.<br>
Authored and maintained by zhoupengcheng with help from contributors ([list](https://github.com/Pochodaydayup/vue-async-loader/contributors)).

> [pocho1995.me](http://pocho1995.me) · GitHub [@Pochodaydayup](https://github.com/Pochodaydayup)
