const path = require('path')
const fs = require('fs')
const CleanWebpackPlugin = require('clean-webpack-plugin')

module.exports = {
  context: __dirname,
  resolve: {
    extensions: ['.js', '.json']
  },
  entry: {
    index: './lib/index.js'
  },
  module: {
    rules: [
      {
        test: /\.js$/,
        exclude: /node_modules/,
        use: ['babel-loader']
      }
    ]
  },
  output: {
    filename: '[name].min.js',
    path: path.resolve(__dirname, 'dist'),
    libraryTarget: "umd",
    library: 'vue-async-loader'
  },
  plugins: [
    new CleanWebpackPlugin('dist')
  ]
}
